This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974888 - Why virtual guest is migrated when the virtual host move to maintenance mode ?
Why virtual guest is migrated when the virtual host move to maintenance mode ?
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Hildred
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 23:18 EDT by Yoshinori Takahashi
Modified: 2015-09-22 09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 21:47:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Tim Hildred 2013-06-17 21:47:30 EDT
Hello Yoshinori-san,

From my understanding, virtual machines have to migrate from a host in maintenance mode, even though you've selected "do not migrate" as your policy.

The alternative is just having running virtual machines die, or not being able to put into maintenance mode any hosts in a cluster with "do not migrate" policy set. When a host unexpectedly shuts down, virtual machines are again on another host depending on your policy. 

"Do not migrate" means that virtual machine will not migrate in case of excessive load on a specific host. 

For a virtual machine to not migrate at all, you want to pin it to a host CPU. That means it needs a specific CPU and will not start on a different host if the host it is pinned to dies unexpectedly. 

Check out "CPU Pinning Topology" in this section:
https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.2/html-single/Administration_Guide/index.html#sect-Explanation_of_Settings_and_Controls_in_the_New_Virtual_Machine_and_Edit_Virtual_Machine_Windows

Note You need to log in before you can comment on or make changes to this bug.